Bug 1120054 - Ability to sort network-related columns
Summary: Ability to sort network-related columns
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 07:42 UTC by Lior Vernia
Modified: 2016-02-10 19:37 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:48 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30148 ovirt-engine-3.5 MERGED webadmin: Implement default sort order for CheckboxColumn Never
oVirt gerrit 30149 ovirt-engine-3.5 MERGED webadmin: Implement permission sorting by role icon Never
oVirt gerrit 30150 ovirt-engine-3.5 MERGED webadmin: Render Networks main tab columns sortable Never
oVirt gerrit 30151 ovirt-engine-3.5 MERGED webadmin: Render Providers main tab columns sortable Never
oVirt gerrit 30152 ovirt-engine-3.5 MERGED webadmin: Render Networks subtab columns sortable Never
oVirt gerrit 30153 ovirt-engine-3.5 MERGED webadmin: Render Profile main tab and subtab columns sortable Never
oVirt gerrit 30154 ovirt-engine-3.5 MERGED webadmin: Render Provider/Networks subtab columns sortable Never
oVirt gerrit 30155 ovirt-engine-3.5 MERGED webadmin: Sort checkbox columns in Network/Clusters subtab Never
oVirt gerrit 30156 ovirt-engine-3.5 MERGED webadmin: Implement sorting for network roles column Never
oVirt gerrit 30157 ovirt-engine-3.5 MERGED webadmin: Implement generic sorting for Identifiable columns Never
oVirt gerrit 30158 ovirt-engine-3.5 MERGED webadmin: Implement sorting by simple status image Never
oVirt gerrit 30159 ovirt-engine-3.5 MERGED webadmin: Sort NIC column in Network/Hosts subtab Never
oVirt gerrit 30160 ovirt-engine-3.5 MERGED webadmin: Implement sorting for RxTxRateColumn Never

Description Lior Vernia 2014-07-16 07:42:34 UTC
The sorting infrastructure now exists, but sorting has to be implemented on a per-column basis. This bug is to track network-related column sorting.

Comment 1 Michael Burman 2014-08-07 09:15:07 UTC
Verified on-  oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6

Comment 2 Sandro Bonazzola 2014-10-17 12:34:48 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.